import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'system'
})
export class SystemPipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 0:
        return '超级管理员';
      case 1:
        return '运营中心账户';
      case 2:
        return '商户账号';
      case 3:
        return '门店账号';
      case 4:
        return '代理商账号';
      case 5:
        return '分公司账号';
      case 6:
        return '后台充值人员';
      case 7:
        return '渠道公司角色';
    }
  }

}
